be.ehealth.businessconnector.genericasync.service

## Interface GenAsyncService

- All Known Implementing Classes:
    GenAsyncServiceImpl, ServiceFactory

      public interface GenAsyncService

  Interface for all Generic Async service. Factory : `ServiceFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConfirmResponse` | `confirmRequest(SAMLToken token, Confirm request, WsAddressingHeader header)` Sends a Confirm request after a successful Get It only needs the SAMLtoken, no session needs to be active
    `GetResponse` | `getRequest(SAMLToken token, Get request, WsAddressingHeader header)` Returns the `Responses` from the post previously sent.
    `PostResponse` | `postRequest(SAMLToken token, Post request, WsAddressingHeader header)` Returns the `TAck` of the request of an operation.

- - ### Method Detail

    - #### postRequest

          PostResponse postRequest(SAMLToken token,
                                   Post request,
                                   WsAddressingHeader header)
                            throws GenAsyncBusinessConnectorException

      Returns the `TAck` of the request of an operation. It only needs the SamlToken, no session needs to be active.
      Parameters:
        `request` - the request
      Returns:
        TAck the WS response
      Throws:
        `GenAsyncBusinessConnectorException`

    - #### getRequest

          GetResponse getRequest(SAMLToken token,
                                 Get request,
                                 WsAddressingHeader header)
                          throws GenAsyncBusinessConnectorException,
                                 TechnicalConnectorException

      Returns the `Responses` from the post previously sent. It only needs the SamlToken, no session needs to be active.
      Parameters:
        `request` - the request
      Returns:
        Responses
      Throws:
        `GenAsyncBusinessConnectorException`
        `TechnicalConnectorException`

    - #### confirmRequest

          ConfirmResponse confirmRequest(SAMLToken token,
                                         Confirm request,
                                         WsAddressingHeader header)
                                  throws GenAsyncBusinessConnectorException,
                                         TechnicalConnectorException

      Sends a Confirm request after a successful Get It only needs the SAMLtoken, no session needs to be active
      Parameters:
        `request` - the request
      Returns:
        The response
      Throws:
        `GenAsyncBusinessConnectorException`
        `TechnicalConnectorException`

Connector Package PERSDENTIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.